<?php

namespace Lc\CaracoleBundle\Factory\Ticket;

use Lc\CaracoleBundle\Factory\MerchantFactoryTrait;
use Lc\CaracoleBundle\Factory\SectionFactoryTrait;
use Lc\CaracoleBundle\Model\Merchant\MerchantInterface;
use Lc\SovBundle\Factory\Ticket\TicketFactory as SovTicketFactory;
use Lc\SovBundle\Model\Ticket\TicketInterface;

class TicketFactory extends SovTicketFactory
{
    use MerchantFactoryTrait;

    public function create(): TicketInterface
    {
        $ticket = parent::create();

        $ticket->setMerchant($this->merchant);

        return $ticket;
    }
}