<?php

namespace Lc\CaracoleBundle\Model\Address;


use Lc\CaracoleBundle\Model\Merchant\MerchantInterface;
use Lc\CaracoleBundle\Model\PointSale\PointSaleInterface;
use Lc\SovBundle\Model\User\UserInterface;

/**
 * @ORM\MappedSuperclass()
 */
interface AddressInterface
{
    public function getUser(): ?UserInterface;

    public function setUser(?UserInterface $user): \Lc\CaracoleBundle\Model\Address\AddressModel;

    public function getTitle(): ?string;

    public function setTitle(string $title): \Lc\CaracoleBundle\Model\Address\AddressModel;

    public function getType(): ?string;

    public function setType(string $type): \Lc\CaracoleBundle\Model\Address\AddressModel;

    public function getCivility(): ?bool;

    public function setCivility(?bool $civility): \Lc\CaracoleBundle\Model\Address\AddressModel;

    public function getLastname(): ?string;

    public function setLastname(?string $lastname): \Lc\CaracoleBundle\Model\Address\AddressModel;

    public function getFirstname(): ?string;

    public function setFirstname(?string $firstname): \Lc\CaracoleBundle\Model\Address\AddressModel;

    public function getAddress(): ?string;

    public function setAddress(string $address): \Lc\CaracoleBundle\Model\Address\AddressModel;

    public function getZip(): ?string;

    public function setZip(string $zip): \Lc\CaracoleBundle\Model\Address\AddressModel;

    public function getCity(): ?string;

    public function setCity(string $city): \Lc\CaracoleBundle\Model\Address\AddressModel;

    public function getCountry(): ?string;

    public function setCountry(string $country): \Lc\CaracoleBundle\Model\Address\AddressModel;

    public function getLatitude(): ?string;

    public function setLatitude(?string $latitude): \Lc\CaracoleBundle\Model\Address\AddressModel;

    public function getLongitude(): ?string;

    public function setLongitude(?string $longitude): \Lc\CaracoleBundle\Model\Address\AddressModel;

    public function getLatitudeOverride(): ?string;

    public function setLatitudeOverride(?string $latitudeOverride): \Lc\CaracoleBundle\Model\Address\AddressModel;

    public function getLongitudeOverride(): ?string;

    public function setLongitudeOverride(?string $longitudeOverride): \Lc\CaracoleBundle\Model\Address\AddressModel;

    public function getCompany(): ?string;

    public function setCompany(?string $company): \Lc\CaracoleBundle\Model\Address\AddressModel;

    public function getSiret(): ?string;

    public function setSiret(?string $siret): \Lc\CaracoleBundle\Model\Address\AddressModel;

    public function getTva(): ?string;

    public function setTva(?string $tva): \Lc\CaracoleBundle\Model\Address\AddressModel;

    public function getPhone(): ?array;

    public function setPhone(?array $phone): \Lc\CaracoleBundle\Model\Address\AddressModel;

    public function getComment(): ?string;

    public function setComment(?string $comment): \Lc\CaracoleBundle\Model\Address\AddressModel;

    public function getPointSale(): ?PointSaleInterface;

    public function setPointSale(PointSaleInterface $pointSale): \Lc\CaracoleBundle\Model\Address\AddressModel;

    public function getMerchant(): ?MerchantInterface;

    public function setMerchant(MerchantInterface $merchant): \Lc\CaracoleBundle\Model\Address\AddressModel;

    public function getDeliveryInfos(): ?string;

    public function setDeliveryInfos(?string $deliveryInfos): \Lc\CaracoleBundle\Model\Address\AddressModel;
}