<?php

namespace Lc\CaracoleBundle\Factory\Newsletter;

use Lc\CaracoleBundle\Factory\MerchantFactoryTrait;
use Lc\CaracoleBundle\Factory\SectionFactoryTrait;
use Lc\SovBundle\Model\Newsletter\NewsletterInterface;
use Lc\SovBundle\Factory\Newsletter\NewsletterFactory as SovNewsletterFactory;

class NewsletterFactory extends SovNewsletterFactory
{
    use SectionFactoryTrait;

    public function create(): NewsletterInterface
    {
        $newsletter = parent::create();

        $newsletter->setSection($this->section);

        return $newsletter;
    }

}
