<?php

namespace Lc\CaracoleBundle\Model\Config;


/**
 * @ORM\MappedSuperclass
 */
interface UnitInterface
{
    public function getUnitAmountChoices(): array;

    public function getUnit(): ?string;

    public function setUnit(string $unit);

    public function getWording(): ?string;

    public function setWording(string $wording);

    public function getWordingUnit(): ?string;

    public function setWordingUnit(string $wordingUnit);

    public function getWordingShort(): ?string;

    public function setWordingShort(string $wordingShort);

    public function getCoefficient(): ?int;

    public function setCoefficient(int $coefficient);

    public function getUnitReference(): ?self;

    public function setUnitReference(?UnitModel $unitReference): self;
}